PETSc version 3.15.5
Fix/Edit manual page

# TAOBQNLS

Bounded Quasi-Newton Line Search method for nonlinear minimization with bound constraints. This method approximates the action of the inverse-Hessian with a limited memory quasi-Newton formula. The quasi-Newton matrix and its options are accessible via the prefix `-tao_bqnls_`

### Options Database Keys

| -tao_bqnls_max_cg_its | - maximum number of bounded conjugate-gradient iterations taken in each Newton loop
| -tao_bqnls_as_type | - active-set estimation method ("none", "bertsekas")

### Level

beginner

### Location

src/tao/bound/impls/bqnls/bqnls.c

### Examples

src/ts/tutorials/ex20opt_p.c.html
src/tao/unconstrained/tutorials/rosenbrock3.c.html
src/tao/unconstrained/tutorials/spectraladjointassimilation.c.html
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages